Bug 23903 - oops in xor module
oops in xor module
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
Florence Gold
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-12 13:54 EST by Matt Domsch
Modified: 2007-03-26 23:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-19 13:51:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg.txt (10.30 KB, text/plain)
2001-01-12 13:55 EST, Matt Domsch
no flags Details
oops-decoded.txt (6.08 KB, text/plain)
2001-01-12 13:56 EST, Matt Domsch
no flags Details

  None (edit)
Description Matt Domsch 2001-01-12 13:54:51 EST
During CD install of Florence betas 1 & 2 on my Dell PowerEdge 2400, the 
following oops was printed prior to starting the GUI.  Installation 
continued successfully, though one module (shown in /proc/modules) was 
shown to be stuck in an initializing state (I think it was raid1, but 
don't hold me to that).
Attached dmesg and decoded oops are from beta 2.


raid0 personality registered
raid1 personality registered
raid5: measuring checksumming speed
   8regs     :  1537.716 MB/sec
   32regs    :   867.537 MB/sec
invalid operand: 0000
CPU:    0
EIP:    0010:[<f889ab27>]
EFLAGS: 00010206
eax: f6eddeac   ebx: f6ec2f40   ecx: 8005003b   edx: 0000000f
esi: f6ec0000   edi: 00000004   ebp: 00000000   esp: f6eddeac
ds: 0018   es: 0018   ss: 0018
Process loader (pid: 51, stackpage=f6edd000)
Stack: 00000001 00001e3d 00001eaa c023b4e3 00000001 c0115d12 00000282 
00000001 
       c023b4e3 00000020 000003e8 00000f1e ffffffff 000008e5 f889bcb8 
f889c16b 
       00000000 00000f1f f889bc52 00000f40 f6ec0000 f6ec2f40 f6ec2f40 
f6ec0000 
Call Trace: [<c0115d12>] [<f889bcb8>] [<f889c16b>] [<f889bc52>] 
[<f889bd32>] [<f889c35c>] [<f889a000>] 
       [<c01168b1>] [<f8895000>] [<f889a060>] [<c0108ed3>] 
Code: 0f 11 00 0f 11 48 10 0f 11 50 20 0f 11 58 30 0f 18 4e 00 0f 
raid5 personality registered
Comment 1 Matt Domsch 2001-01-12 13:55:23 EST
Created attachment 7525 [details]
dmesg.txt
Comment 2 Matt Domsch 2001-01-12 13:56:00 EST
Created attachment 7526 [details]
oops-decoded.txt
Comment 3 Daniel Roesen 2001-01-12 14:10:09 EST
AFAIK it's a known problem and fixed in kernel 2.4.0 final.
Comment 4 Glen Foster 2001-01-15 16:33:16 EST
Re-assigning to Michael Johnson
Comment 5 Glen Foster 2001-01-15 16:51:01 EST
This defect is considered MUST-FIX for Florence Gold release
Comment 6 Michael K. Johnson 2001-01-15 17:30:35 EST
It's not fixed in 2.4.0-final, but we do have a patch to fix it
in our current source tree and it will be in our next kernel.
Comment 7 Michael K. Johnson 2001-01-19 13:51:27 EST
Yes, confirmed fixed in our internal kernels.

Note You need to log in before you can comment on or make changes to this bug.